Index: code/branches/output/src/modules/designtools/ScreenshotManager.cc
===================================================================
--- code/branches/output/src/modules/designtools/ScreenshotManager.cc	(revision 8788)
+++ code/branches/output/src/modules/designtools/ScreenshotManager.cc	(revision 8811)
@@ -153,8 +153,8 @@
             finalImage->save(PathConfig::getInstance().getLogPathString() + "screenshot_" + getTimestamp() + this->fileExtension_);
             delete finalImage;
-            COUT(3) << "Finished taking " << this->gridSize_*this->windowWidth_ << "x" << this->gridSize_*this->windowHeight_ << " pixel HD screenshot. Storing in log/." << endl;
+            orxout(user_info) << "Finished taking " << this->gridSize_*this->windowWidth_ << "x" << this->gridSize_*this->windowHeight_ << " pixel HD screenshot. Storing in log/." << endl;
         }
         else
-            COUT(1) << "There needs to be an active camera to make screenshots." << endl;
+            orxout(user_error) << "There needs to be an active camera to make screenshots." << endl;
 
         this->cleanup();
@@ -257,5 +257,5 @@
                 this->buffer_->blitToMemory(this->finalPicturePB_->getSubVolume(subBox));
                 
-                COUT(4) << "Created screenshot number " << nbScreenshots << " for multi grid HD screenshot." << endl;
+                orxout(internal_info) << "Created screenshot number " << nbScreenshots << " for multi grid HD screenshot." << endl;
                 
             }
Index: code/branches/output/src/modules/designtools/SkyboxGenerator.cc
===================================================================
--- code/branches/output/src/modules/designtools/SkyboxGenerator.cc	(revision 8788)
+++ code/branches/output/src/modules/designtools/SkyboxGenerator.cc	(revision 8811)
@@ -149,5 +149,5 @@
             else
             {
-                COUT(1) << "You must be in a level to generate a skybox." << endl;
+                orxout(user_error) << "You must be in a level to generate a skybox." << endl;
                 this->bGenerateSkybox_ = false;
                 return;
@@ -175,5 +175,5 @@
                 Ogre::ResourceGroupManager::getSingleton().addResourceLocation(PathConfig::getInstance().getLogPathString(), "FileSystem", Resource::getDefaultResourceGroup());
                 
-                COUT(4) << "Setting up SkyboxGenerator..." << endl;
+                orxout(internal_status) << "Setting up SkyboxGenerator..." << endl;
                 
                 this->bSetup_ = false;
@@ -194,5 +194,5 @@
                     entity->pitch(Degree((float)rotate.second));
                 
-                COUT(4) << "Created face number " << this->faceCounter_ << "." << endl;
+                orxout(internal_info) << "Created face number " << this->faceCounter_ << "." << endl;
                 // Check whether we've generated all 6 faces.
                 if(++this->faceCounter_ >= 6)
@@ -225,5 +225,5 @@
                 CommandExecutor::execute("pause");
                 
-                COUT(3) << "Skybox with face size " << this->size_ << "x" << this->size_ << " pixels created. Storing in log/." << endl;
+                orxout(user_info) << "Skybox with face size " << this->size_ << "x" << this->size_ << " pixels created. Storing in log/." << endl;
             }
         }
Index: code/branches/output/src/modules/docking/Dock.cc
===================================================================
--- code/branches/output/src/modules/docking/Dock.cc	(revision 8788)
+++ code/branches/output/src/modules/docking/Dock.cc	(revision 8811)
@@ -87,5 +87,5 @@
         {
             if(!pTrigger->isForPlayer()) {  // The PlayerTrigger is not exclusively for Pawns which means we cannot extract one.
-                COUT(4) << "Docking:execute PlayerTrigger was not triggered by a player.." << std::endl;
+                orxout(verbose, context::docking) << "Docking:execute PlayerTrigger was not triggered by a player.." << endl;
                 return false;
             }
@@ -94,10 +94,10 @@
         else
         {
-            COUT(4) << "Docking::execute Not a player trigger, can't extract pawn from it.." << std::endl;
+            orxout(verbose, context::docking) << "Docking::execute Not a player trigger, can't extract pawn from it.." << endl;
             return false;
         }
         if(player == NULL)
         {
-            COUT(4) << "Docking::execute Can't retrieve PlayerInfo from Trigger. (" << trigger->getIdentifier()->getName() << ")" << std::endl;
+            orxout(verbose, context::docking) << "Docking::execute Can't retrieve PlayerInfo from Trigger. (" << trigger->getIdentifier()->getName() << ")" << endl;
             return false;
         }
@@ -168,5 +168,5 @@
         if(candidates_.find(player) == candidates_.end())
         {
-            COUT(2) << "Dock::dock Player is not a candidate!" << std::endl;
+            orxout(internal_warning, context::docking) << "Dock::dock Player is not a candidate!" << endl;
             return false;
         }
@@ -187,5 +187,5 @@
         if(docked_.find(player) == docked_.end())
         {
-            COUT(2) << "Dock::dockingAnimationFinished Player is not currently docked." << std::endl;
+            orxout(internal_warning, context::docking) << "Dock::dockingAnimationFinished Player is not currently docked." << endl;
             return false;
         }
@@ -200,5 +200,5 @@
         if(docked_.find(player) == docked_.end())
         {
-            COUT(2) << "Dock::undock Player is not docked to this Dock." << std::endl;
+            orxout(internal_warning, context::docking) << "Dock::undock Player is not docked to this Dock." << endl;
             return false;
         }
@@ -218,5 +218,5 @@
 
     bool Dock::undockingAnimationFinished(PlayerInfo* player) {
-        COUT(4) << "Dock::undockingAnimationFinished executed" << std::endl;
+        orxout(verbose, context::docking) << "Dock::undockingAnimationFinished executed" << endl;
         return true;
     }
Index: code/branches/output/src/modules/docking/DockToShip.cc
===================================================================
--- code/branches/output/src/modules/docking/DockToShip.cc	(revision 8788)
+++ code/branches/output/src/modules/docking/DockToShip.cc	(revision 8811)
@@ -43,5 +43,5 @@
     {
         RegisterObject(DockToShip);
-        COUT(4) << "DockToShip instance created.." << endl;
+        orxout(verbose, context::docking) << "DockToShip instance created.." << endl;
     }
 
@@ -69,9 +69,9 @@
     bool DockToShip::docking(PlayerInfo* player)
     {
-        COUT(4) << "DockToShip::attach" << endl;
+        orxout(verbose, context::docking) << "DockToShip::attach" << endl;
 
         DockingTarget *target = DockingEffect::findTarget(this->target_);
         if (target == NULL) {
-            COUT(0) << "Can't retrieve target for '" << this->target_ << "'.." << std::endl;
+            orxout(internal_warning, context::docking) << "Can't retrieve target for '" << this->target_ << "'.." << endl;
             return false;
         }
@@ -79,5 +79,5 @@
         ControllableEntity *dockTo = (ControllableEntity*) target->getParent();
         if (dockTo == NULL) {
-            COUT(2) << "Parent is not a ControllableEntity.." << std::endl;
+            orxout(internal_warning, context::docking) << "Parent is not a ControllableEntity.." << endl;
             return false;
         }
@@ -92,5 +92,5 @@
     bool DockToShip::release(PlayerInfo* player)
     {
-        COUT(4) << "DockToShip::release" << endl;
+        orxout(verbose, context::docking) << "DockToShip::release" << endl;
 
         player->stopTemporaryControl();
Index: code/branches/output/src/modules/docking/DockingController.cc
===================================================================
--- code/branches/output/src/modules/docking/DockingController.cc	(revision 8788)
+++ code/branches/output/src/modules/docking/DockingController.cc	(revision 8811)
@@ -97,5 +97,5 @@
         if (docking)
         {
-            COUT(4) << "DockingController::takeControl Taking over control." << std::endl;
+            orxout(verbose, context::docking) << "DockingController::takeControl Taking over control." << endl;
 
             this->entity_->setDestroyWhenPlayerLeft(false);
@@ -108,5 +108,5 @@
     void DockingController::positionReached()
     {
-        COUT(4) << "DockingController::positionReached() called." << std::endl;
+        orxout(verbose, context::docking) << "DockingController::positionReached() called." << endl;
 
         assert(this->player_);
Index: code/branches/output/src/modules/docking/DockingTarget.cc
===================================================================
--- code/branches/output/src/modules/docking/DockingTarget.cc	(revision 8788)
+++ code/branches/output/src/modules/docking/DockingTarget.cc	(revision 8811)
@@ -53,5 +53,5 @@
         SUPER(DockingTarget, XMLPort, xmlelement, mode);
 
-        COUT(4) << "DockingTarget with name '" << this->getName() << "' created.." << std::endl;
+        orxout(verbose, context::docking) << "DockingTarget with name '" << this->getName() << "' created.." << endl;
     }
 
Index: code/branches/output/src/modules/gametypes/RaceCheckPoint.cc
===================================================================
--- code/branches/output/src/modules/gametypes/RaceCheckPoint.cc	(revision 8788)
+++ code/branches/output/src/modules/gametypes/RaceCheckPoint.cc	(revision 8811)
@@ -109,6 +109,6 @@
             {
                 const std::string& message =  "You have " + multi_cast<std::string>(this->bTimeLimit_)
-                            + " seconds to reach the check point " + multi_cast<std::string>(this->bCheckpointIndex_+1) + "\n";
-                COUT(3) << message;
+                            + " seconds to reach the check point " + multi_cast<std::string>(this->bCheckpointIndex_+1);
+                orxout(level::message) << message << endl;
                 const_cast<GametypeInfo*>(gametype->getGametypeInfo())->sendAnnounceMessage(message);
             }
Index: code/branches/output/src/modules/gametypes/SpaceRace.cc
===================================================================
--- code/branches/output/src/modules/gametypes/SpaceRace.cc	(revision 8788)
+++ code/branches/output/src/modules/gametypes/SpaceRace.cc	(revision 8811)
@@ -59,5 +59,5 @@
                         + "You didn't reach the check point " + multi_cast<std::string>(this->bCheckpointsReached_+1)
                         + " before the time limit. You lose!";
-            COUT(3) << message;
+            orxout(level::message) << message << endl;
             const_cast<GametypeInfo*>(this->getGametypeInfo())->sendAnnounceMessage(message);
             Host::Broadcast(message);
@@ -70,5 +70,5 @@
             const std::string& message = "You win!! You have reached the last check point after "+ multi_cast<std::string>(s)
                         + "." + multi_cast<std::string>(ms) + " seconds.";
-            COUT(3) << message << std::endl;
+            orxout(level::message) << message << endl;
             const_cast<GametypeInfo*>(this->getGametypeInfo())->sendAnnounceMessage(message);
             Host::Broadcast(message);
@@ -77,5 +77,5 @@
             std::set<float>::iterator it;
             for (it=this->scores_.begin(); it!=this->scores_.end(); it++)
-            COUT(3) <<  multi_cast<std::string>(*it) << std::endl;
+            orxout(level::message) << multi_cast<std::string>(*it) << endl;
         }
     }
@@ -86,5 +86,5 @@
 
         std::string message("The match has started! Reach the check points as quickly as possible!");
-        COUT(3) << message << std::endl;
+        orxout(level::message) << message << endl;
         Host::Broadcast(message);
     }
@@ -98,6 +98,6 @@
         const std::string& message = "Checkpoint " + multi_cast<std::string>(this->getCheckpointsReached())
                         + " reached after " + multi_cast<std::string>(s) + "." + multi_cast<std::string>(ms)
-                        + " seconds.\n";
-        COUT(3) << message;
+                        + " seconds.";
+        orxout(level::message) << message << endl;
         const_cast<GametypeInfo*>(this->getGametypeInfo())->sendAnnounceMessage(message);
         Host::Broadcast(message);
Index: code/branches/output/src/modules/notifications/NotificationDispatcher.cc
===================================================================
--- code/branches/output/src/modules/notifications/NotificationDispatcher.cc	(revision 8788)
+++ code/branches/output/src/modules/notifications/NotificationDispatcher.cc	(revision 8811)
@@ -137,5 +137,5 @@
             return false;
 
-        COUT(4) << "NotificationDispatcher (&" << this << ") triggered." << std::endl;
+        orxout(verbose, context::notifications) << "NotificationDispatcher (&" << this << ") triggered." << endl;
 
         PlayerTrigger* pTrigger = orxonox_cast<PlayerTrigger*>(trigger);
@@ -155,5 +155,5 @@
         if(player == NULL)
         {
-            COUT(4) << "The NotificationDispatcher was triggered by an entity other than a Pawn. (" << trigger->getIdentifier()->getName() << ")" << std::endl;
+            orxout(verbose, context::notifications) << "The NotificationDispatcher was triggered by an entity other than a Pawn. (" << trigger->getIdentifier()->getName() << ")" << endl;
             return false;
         }
Index: code/branches/output/src/modules/notifications/NotificationManager.cc
===================================================================
--- code/branches/output/src/modules/notifications/NotificationManager.cc	(revision 8788)
+++ code/branches/output/src/modules/notifications/NotificationManager.cc	(revision 8811)
@@ -57,5 +57,5 @@
         RegisterRootObject(NotificationManager);
 
-        COUT(3) << "NotificatioManager created." << std::endl;
+        orxout(internal_info, context::notifications) << "NotificatioManager created." << endl;
     }
 
@@ -71,5 +71,5 @@
         this->allNotificationsList_.clear();
 
-        COUT(3) << "NotificationManager destroyed." << std::endl;
+        orxout(internal_info, context::notifications) << "NotificationManager destroyed." << endl;
     }
 
@@ -132,5 +132,5 @@
 
         if(commandExecuted)
-            COUT(3) << "Notification command \"" << NotificationListener::command2Str(command) << "\" executed." << endl;
+            orxout(internal_info, context::notifications) << "Notification command \"" << NotificationListener::command2Str(command) << "\" executed." << endl;
 
         return commandExecuted;
@@ -198,5 +198,5 @@
         }
 
-        COUT(4) << "Notification (&" << notification << ") registered with the NotificationManager." << std::endl;
+        orxout(verbose, context::notifications) << "Notification (&" << notification << ") registered with the NotificationManager." << endl;
 
         return true;
@@ -219,5 +219,5 @@
         this->removeNotification(notification, *(this->notificationLists_.find(queue->getName())->second));
 
-        COUT(4) << "Notification (&" << notification << ") unregistered with the NotificationManager from NotificationQueue " << queue->getName() << "." << std::endl;
+        orxout(verbose, context::notifications) << "Notification (&" << notification << ") unregistered with the NotificationManager from NotificationQueue " << queue->getName() << "." << endl;
     }
 
@@ -351,5 +351,5 @@
         queue->update(); // Update the queue.
         
-        COUT(4) << "NotificationQueue '" << queue->getName() << "' registered with the NotificationManager." << std::endl;
+        orxout(verbose, context::notifications) << "NotificationQueue '" << queue->getName() << "' registered with the NotificationManager." << endl;
         return true;
     }
@@ -384,5 +384,5 @@
         this->notificationLists_.erase(queue->getName());
         
-        COUT(4) << "NotificationQueue '" << queue->getName() << "' unregistered with the NotificationManager." << std::endl;
+        orxout(verbose, context::notifications) << "NotificationQueue '" << queue->getName() << "' unregistered with the NotificationManager." << endl;
     }
 
Index: code/branches/output/src/modules/notifications/NotificationQueue.cc
===================================================================
--- code/branches/output/src/modules/notifications/NotificationQueue.cc	(revision 8788)
+++ code/branches/output/src/modules/notifications/NotificationQueue.cc	(revision 8811)
@@ -131,9 +131,9 @@
         {
             this->registered_ = false;
-            COUT(1) << "Error: NotificationQueue '" << this->getName() << "' could not be registered." << std::endl;
+            orxout(internal_error, context::notifications) << "NotificationQueue '" << this->getName() << "' could not be registered." << endl;
             return;
         }
 
-        COUT(3) << "NotificationQueue '" << this->getName() << "' created." << std::endl;
+        orxout(internal_info, context::notifications) << "NotificationQueue '" << this->getName() << "' created." << endl;
     }
 
@@ -215,5 +215,5 @@
         delete notifications;
 
-        COUT(4) << "NotificationQueue '" << this->getName() << "' updated." << std::endl;
+        orxout(verbose, context::notifications) << "NotificationQueue '" << this->getName() << "' updated." << endl;
     }
 
@@ -232,5 +232,5 @@
         this->push(notification, time);
 
-        COUT(4) << "NotificationQueue '" << this->getName() << "' updated. A new Notification has been added." << std::endl;
+        orxout(verbose, context::notifications) << "NotificationQueue '" << this->getName() << "' updated. A new Notification has been added." << endl;
     }
 
@@ -265,6 +265,6 @@
         this->notificationPushed(notification);
 
-        COUT(5) << "Notification \"" << notification->getMessage() << "\" pushed to NotificationQueue '" << this->getName() << "'" << endl;
-        COUT(3) << "NotificationQueue \"" << this->getName() << "\": " << notification->getMessage() << endl;
+        orxout(verbose_more, context::notifications) << "Notification \"" << notification->getMessage() << "\" pushed to NotificationQueue '" << this->getName() << "'" << endl;
+        orxout(internal_info, context::notifications) << "NotificationQueue \"" << this->getName() << "\": " << notification->getMessage() << endl;
     }
 
@@ -284,5 +284,5 @@
             if(container == *it)
             {
-                COUT(5) << "Notification \"" << (*it)->notification->getMessage() << "\" popped from NotificationQueue '" << this->getName() << "'" << endl;
+                orxout(verbose_more, context::notifications) << "Notification \"" << (*it)->notification->getMessage() << "\" popped from NotificationQueue '" << this->getName() << "'" << endl;
                 this->ordering_.erase(it);
                 break;
@@ -311,5 +311,5 @@
         std::vector<NotificationContainer*>::difference_type index = it - this->notifications_.begin ();
 
-        COUT(5) << "Notification \"" << (*it)->notification->getMessage() << "\" removed from NotificationQueue '" << this->getName() << "'" << endl;
+        orxout(verbose_more, context::notifications) << "Notification \"" << (*it)->notification->getMessage() << "\" removed from NotificationQueue '" << this->getName() << "'" << endl;
 
         this->ordering_.erase(containerIterator);
@@ -333,5 +333,5 @@
     void NotificationQueue::clear(bool noGraphics)
     {
-        COUT(4) << "Clearing NotificationQueue " << this->getName() << "." << endl;
+        orxout(verbose, context::notifications) << "Clearing NotificationQueue " << this->getName() << "." << endl;
         this->ordering_.clear();
         // Delete all NotificationContainers in the list.
@@ -367,5 +367,5 @@
         if(size == 0)
         {
-            COUT(2) << "Trying to set maximal size of NotificationQueue '" << this->getName() << "' to 0. Ignoring..." << endl;
+            orxout(internal_warning, context::notifications) << "Trying to set maximal size of NotificationQueue '" << this->getName() << "' to 0. Ignoring..." << endl;
             return;
         }
@@ -398,5 +398,5 @@
         if(time != NotificationQueue::INF && time <= 0)
         {
-            COUT(2) << "Trying to set display time of NotificationQueue '" << this->getName() << "' to non-positive value. Ignoring..." << endl;
+            orxout(internal_warning, context::notifications) << "Trying to set display time of NotificationQueue '" << this->getName() << "' to non-positive value. Ignoring..." << endl;
         }
             
Index: code/branches/output/src/modules/notifications/NotificationQueueCEGUI.cc
===================================================================
--- code/branches/output/src/modules/notifications/NotificationQueueCEGUI.cc	(revision 8788)
+++ code/branches/output/src/modules/notifications/NotificationQueueCEGUI.cc	(revision 8811)
@@ -143,5 +143,5 @@
         if(size.x < 0.0 || size.x > 1.0 || size.z < 0.0 || size.z > 1.0)
         {
-            COUT(2) << "The display size of the NotificationQueueCEGUI " << this->getName() << " was trying to be set, but the relative size was not in [0,1]. Aborting..." << endl;
+            orxout(internal_warning, context::notifications) << "The display size of the NotificationQueueCEGUI " << this->getName() << " was trying to be set, but the relative size was not in [0,1]. Aborting..." << endl;
             return;
         }
@@ -183,5 +183,5 @@
         if(position.x < 0.0 || position.x > 1.0 || position.z < 0.0 || position.z > 1.0)
         {
-            COUT(2) << "The position the NotificationQueueCEGUI " << this->getName() << " was trying to be set, but the relative position was not in [0,1]. Aborting..." << endl;
+            orxout(internal_warning, context::notifications) << "The position the NotificationQueueCEGUI " << this->getName() << " was trying to be set, but the relative position was not in [0,1]. Aborting..." << endl;
             return;
         }
Index: code/branches/output/src/modules/objects/ForceField.cc
===================================================================
--- code/branches/output/src/modules/objects/ForceField.cc	(revision 8788)
+++ code/branches/output/src/modules/objects/ForceField.cc	(revision 8811)
@@ -216,5 +216,5 @@
         else
         {
-            COUT(2) << "Wrong mode '" << mode << "' in ForceField. Setting to 'tube'." << std::endl;
+            orxout(internal_warning) << "Wrong mode '" << mode << "' in ForceField. Setting to 'tube'." << endl;
             this->mode_ = forceFieldMode::tube;
         }
Index: code/branches/output/src/modules/objects/Planet.cc
===================================================================
--- code/branches/output/src/modules/objects/Planet.cc	(revision 8788)
+++ code/branches/output/src/modules/objects/Planet.cc	(revision 8811)
@@ -73,5 +73,5 @@
             {
                 float distance = this->getPosition().distance( activeCamera->getWorldPosition() );
-                //             COUT(2) << distance << std::endl;
+                //             orxout(internal_warning) << distance << endl;
                 float planetRadius = this->getScale();
 
Index: code/branches/output/src/modules/objects/Script.cc
===================================================================
--- code/branches/output/src/modules/objects/Script.cc	(revision 8788)
+++ code/branches/output/src/modules/objects/Script.cc	(revision 8811)
@@ -137,5 +137,5 @@
             return false;
 
-        COUT(4) << "Script (&" << this << ") triggered." << std::endl;
+        orxout(internal_info) << "Script (&" << this << ") triggered." << endl;
 
         PlayerTrigger* pTrigger = orxonox_cast<PlayerTrigger*>(trigger);
@@ -155,5 +155,5 @@
         if(player == NULL)  //TODO: Will this ever happen? If not, change in NotificationDispatcher as well.
         {
-            COUT(4) << "The Script was triggered by an entity other than a Pawn. (" << trigger->getIdentifier()->getName() << ")" << std::endl;
+            orxout(internal_warning) << "The Script was triggered by an entity other than a Pawn. (" << trigger->getIdentifier()->getName() << ")" << endl;
             return false;
         }
@@ -272,5 +272,5 @@
         else
         {
-            COUT(2) << "Invalid mode '" << mode << "' in Script object. Setting to 'normal'." << std::endl;
+            orxout(internal_warning) << "Invalid mode '" << mode << "' in Script object. Setting to 'normal'." << endl;
             this->setMode(ScriptMode::normal);
             this->modeStr_ = Script::NORMAL;
@@ -323,5 +323,5 @@
         else
         {
-            COUT(2) << "Invalid times '" << times << "' in Script. Setting to infinity." << std::endl;
+            orxout(internal_warning) << "Invalid times '" << times << "' in Script. Setting to infinity." << endl;
             this->times_ = Script::INF;
             this->remainingExecutions_ = Script::INF;
Index: code/branches/output/src/modules/objects/SpaceBoundaries.cc
===================================================================
--- code/branches/output/src/modules/objects/SpaceBoundaries.cc	(revision 8788)
+++ code/branches/output/src/modules/objects/SpaceBoundaries.cc	(revision 8811)
@@ -215,5 +215,5 @@
                 distance = this->computeDistance(currentPawn);
                 humanItem = this->isHumanPlayer(currentPawn);
-                COUT(5) << "Distance:" << distance << std::endl; // message for debugging
+//                orxout() << "Distance:" << distance << endl; // message for debugging
                 if(distance > this->warnDistance_ && distance < this->maxDistance_) // Display warning
                 {
@@ -231,5 +231,5 @@
                     if( humanItem )
                     {
-                        COUT(5) << "Health should be decreasing!" << std::endl;
+//                        orxout() << "Health should be decreasing!" << endl;
                         this->displayWarning("You are out of the area now!");
                     }
Index: code/branches/output/src/modules/objects/collisionshapes/BoxCollisionShape.cc
===================================================================
--- code/branches/output/src/modules/objects/collisionshapes/BoxCollisionShape.cc	(revision 8788)
+++ code/branches/output/src/modules/objects/collisionshapes/BoxCollisionShape.cc	(revision 8811)
@@ -93,5 +93,5 @@
         if(!this->hasUniformScaling())
         {
-            CCOUT(1) << "Error: Non-uniform scaling is not yet supported." << endl;
+            orxout(internal_error) << "BoxCollisionShape: Non-uniform scaling is not yet supported." << endl;
             return;
         }
Index: code/branches/output/src/modules/objects/collisionshapes/ConeCollisionShape.cc
===================================================================
--- code/branches/output/src/modules/objects/collisionshapes/ConeCollisionShape.cc	(revision 8788)
+++ code/branches/output/src/modules/objects/collisionshapes/ConeCollisionShape.cc	(revision 8811)
@@ -92,5 +92,5 @@
         if(!this->hasUniformScaling())
         {
-            CCOUT(1) << "Error: Non-uniform scaling is not yet supported." << endl;
+            orxout(internal_error) << "ConeCollisionShape: Non-uniform scaling is not yet supported." << endl;
             return;
         }
Index: code/branches/output/src/modules/objects/collisionshapes/PlaneCollisionShape.cc
===================================================================
--- code/branches/output/src/modules/objects/collisionshapes/PlaneCollisionShape.cc	(revision 8788)
+++ code/branches/output/src/modules/objects/collisionshapes/PlaneCollisionShape.cc	(revision 8811)
@@ -92,5 +92,5 @@
         if(!this->hasUniformScaling())
         {
-            CCOUT(1) << "Error: Non-uniform scaling is not yet supported." << endl;
+            orxout(internal_error) << "PlaneCollisionShape: Non-uniform scaling is not yet supported." << endl;
             return;
         }
Index: code/branches/output/src/modules/objects/collisionshapes/SphereCollisionShape.cc
===================================================================
--- code/branches/output/src/modules/objects/collisionshapes/SphereCollisionShape.cc	(revision 8788)
+++ code/branches/output/src/modules/objects/collisionshapes/SphereCollisionShape.cc	(revision 8811)
@@ -89,5 +89,5 @@
         if(!this->hasUniformScaling())
         {
-            CCOUT(1) << "Error: Non-uniform scaling is not yet supported." << endl;
+            orxout(internal_error) << "SphereCollisionShape: Non-uniform scaling is not yet supported." << endl;
             return;
         }
Index: code/branches/output/src/modules/objects/eventsystem/EventFilter.cc
===================================================================
--- code/branches/output/src/modules/objects/eventsystem/EventFilter.cc	(revision 8788)
+++ code/branches/output/src/modules/objects/eventsystem/EventFilter.cc	(revision 8811)
@@ -63,5 +63,5 @@
         if (this->bActive_)
         {
-            COUT(2) << "Warning: Detected Event loop in EventFilter \"" << this->getName() << '"' << std::endl;
+            orxout(internal_warning, context::events) << "Detected Event loop in EventFilter \"" << this->getName() << '"' << endl;
             return;
         }
Index: code/branches/output/src/modules/objects/eventsystem/EventListener.cc
===================================================================
--- code/branches/output/src/modules/objects/eventsystem/EventListener.cc	(revision 8788)
+++ code/branches/output/src/modules/objects/eventsystem/EventListener.cc	(revision 8811)
@@ -59,9 +59,9 @@
         if (this->bActive_)
         {
-            COUT(2) << "Warning: Detected Event loop in EventListener \"" << this->getName() << '"' << std::endl;
+            orxout(internal_warning, context::events) << "Detected Event loop in EventListener \"" << this->getName() << '"' << endl;
             return;
         }
 
-        COUT(4) << "EventListener, processing event: originator: " << event.originator_->getIdentifier()->getName() << " (&" << event.originator_ << ")" << ", activate: " << event.activate_ << ", name: " << event.name_ << std::endl;
+        orxout(verbose, context::events) << "EventListener, processing event: originator: " << event.originator_->getIdentifier()->getName() << " (&" << event.originator_ << ")" << ", activate: " << event.activate_ << ", name: " << event.name_ << endl;
 
         this->bActive_ = true;
Index: code/branches/output/src/modules/objects/eventsystem/EventTarget.cc
===================================================================
--- code/branches/output/src/modules/objects/eventsystem/EventTarget.cc	(revision 8788)
+++ code/branches/output/src/modules/objects/eventsystem/EventTarget.cc	(revision 8811)
@@ -60,5 +60,5 @@
         if (this->bActive_)
         {
-            COUT(2) << "Warning: Detected Event loop in EventTarget \"" << this->getName() << '"' << std::endl;
+            orxout(internal_warning, context::events) << "Detected Event loop in EventTarget \"" << this->getName() << '"' << endl;
             return;
         }
Index: code/branches/output/src/modules/objects/triggers/DistanceMultiTrigger.cc
===================================================================
--- code/branches/output/src/modules/objects/triggers/DistanceMultiTrigger.cc	(revision 8788)
+++ code/branches/output/src/modules/objects/triggers/DistanceMultiTrigger.cc	(revision 8811)
@@ -247,5 +247,5 @@
             this->setBeaconModeDirect(distanceMultiTriggerBeaconMode::exclude);
         else
-            COUT(1) << "Invalid beacon mode in DistanceMultiTrigger." << endl;
+            orxout(internal_error, context::triggers) << "Invalid beacon mode in DistanceMultiTrigger." << endl;
     }
 
Index: code/branches/output/src/modules/objects/triggers/DistanceTrigger.cc
===================================================================
--- code/branches/output/src/modules/objects/triggers/DistanceTrigger.cc	(revision 8788)
+++ code/branches/output/src/modules/objects/triggers/DistanceTrigger.cc	(revision 8811)
@@ -108,5 +108,5 @@
         if (targetId == NULL)
         {
-            COUT(1) << "Error: \"" << targetStr << "\" is not a valid class name to include in ClassTreeMask (in " << this->getName() << ", class " << this->getIdentifier()->getName() << ')' << std::endl;
+            orxout(internal_error, context::triggers) << "\"" << targetStr << "\" is not a valid class name to include in ClassTreeMask (in " << this->getName() << ", class " << this->getIdentifier()->getName() << ')' << endl;
             return;
         }
@@ -209,5 +209,5 @@
                         this->setTriggeringPawn(pawn);
                     else
-                        CCOUT(2) << "Pawn was NULL." << endl;
+                        orxout(internal_warning, context::triggers) << "Pawn was NULL." << endl;
                 }
                 
@@ -270,5 +270,5 @@
             this->setBeaconModeDirect(distanceTriggerBeaconMode::exclude);
         else
-            COUT(1) << "Invalid beacon mode in DistanceTrigger." << endl;
+            orxout(internal_error, context::triggers) << "Invalid beacon mode in DistanceTrigger." << endl;
     }
 
Index: code/branches/output/src/modules/objects/triggers/MultiTrigger.cc
===================================================================
--- code/branches/output/src/modules/objects/triggers/MultiTrigger.cc	(revision 8788)
+++ code/branches/output/src/modules/objects/triggers/MultiTrigger.cc	(revision 8811)
@@ -72,5 +72,5 @@
     MultiTrigger::~MultiTrigger()
     {
-        COUT(4) << "Destroying MultiTrigger &" << this << ". " << this->stateQueue_.size() << " states still in queue. Deleting." << std::endl;
+        orxout(verbose, context::triggers) << "Destroying MultiTrigger &" << this << ". " << this->stateQueue_.size() << " states still in queue. Deleting." << endl;
         while(this->stateQueue_.size() > 0)
         {
@@ -94,5 +94,5 @@
         XMLPortParamLoadOnly(MultiTrigger, "target", addTarget, xmlelement, mode).defaultValues("Pawn"); //TODO: Remove load only
 
-        COUT(4) << "MultiTrigger '" << this->getName() << "' (&" << this << ") created." << std::endl;
+        orxout(verbose, context::triggers) << "MultiTrigger '" << this->getName() << "' (&" << this << ") created." << endl;
     }
 
@@ -132,5 +132,5 @@
                 if(state == NULL)
                 {
-                    COUT(1) << "In MultiTrigger '" << this->getName() << "' (&" << this << "), Error: State of new states queue was NULL. State ignored." << std::endl;
+                    orxout(internal_error, context::triggers) << "In MultiTrigger '" << this->getName() << "' (&" << this << "), Error: State of new states queue was NULL. State ignored." << endl;
                     queue->pop();
                     continue;
@@ -241,7 +241,7 @@
                             // Print some debug output if the state has changed.
                             if(state->originator != NULL)
-                                COUT(4) << "MultiTrigger '" << this->getName() << "' (&" << this << ") changed state. originator: " << state->originator->getIdentifier()->getName() << " (&" << state->originator << "), active: " << bActive << ", triggered: " << state->bTriggered << "." << std::endl;
+                                orxout(verbose, context::triggers) << "MultiTrigger '" << this->getName() << "' (&" << this << ") changed state. originator: " << state->originator->getIdentifier()->getName() << " (&" << state->originator << "), active: " << bActive << ", triggered: " << state->bTriggered << "." << endl;
                             else
-                                COUT(4) << "MultiTrigger '" << this->getName() << "' (&" << this << ") changed state. originator: NULL, active: " << bActive << ", triggered: " << state->bTriggered << "." << std::endl;
+                                orxout(verbose, context::triggers) << "MultiTrigger '" << this->getName() << "' (&" << this << ") changed state. originator: NULL, active: " << bActive << ", triggered: " << state->bTriggered << "." << endl;
 
                             // If the MultiTrigger has a parent trigger, that is itself a MultiTrigger, it needs to call a method to notify him, that its activity has changed.
@@ -254,5 +254,5 @@
                         {
                             this->BaseObject::setActive(false);
-                            COUT(4) << "MultiTrigger '" << this->getName() << "' (&" << this << ") ran out of activations. Setting it to inactive." << std::endl;
+                            orxout(verbose, context::triggers) << "MultiTrigger '" << this->getName() << "' (&" << this << ") ran out of activations. Setting it to inactive." << endl;
                         }
                     }
@@ -301,5 +301,5 @@
         if (target == NULL)
         {
-            COUT(1) << "Error: '" << targetStr << "' is not a valid class name to include in ClassTreeMask (in " << this->getName() << ", class " << this->getIdentifier()->getName() << ")" << std::endl;
+            orxout(internal_error, context::triggers) << "'" << targetStr << "' is not a valid class name to include in ClassTreeMask (in " << this->getName() << ", class " << this->getIdentifier()->getName() << ")" << endl;
             return;
         }
@@ -329,5 +329,5 @@
         if (target == NULL)
         {
-            COUT(1) << "Error: '" << targetStr << "' is not a valid class name to include in ClassTreeMask (in " << this->getName() << ", class " << this->getIdentifier()->getName() << ")" << std::endl;
+            orxout(internal_error, context::triggers) << "'" << targetStr << "' is not a valid class name to include in ClassTreeMask (in " << this->getName() << ", class " << this->getIdentifier()->getName() << ")" << endl;
             return;
         }
@@ -447,5 +447,5 @@
         {
             this->fireEvent(status);
-            COUT(4) << "MultiTrigger '" <<  this->getName() << "' (&" << this << "): Fired event. status: " << status << "." << std::endl;
+            orxout(verbose, context::triggers) << "MultiTrigger '" <<  this->getName() << "' (&" << this << "): Fired event. status: " << status << "." << endl;
             return;
         }
@@ -453,5 +453,5 @@
         MultiTriggerContainer* container = new MultiTriggerContainer(this, this, originator);
         this->fireEvent(status, container);
-        COUT(4) << "MultiTrigger '" <<  this->getName() << "' (&" << this << "): Fired event. originator: " << originator->getIdentifier()->getName() << " (&" << originator << "), status: " << status << "." << std::endl;
+        orxout(verbose, context::triggers) << "MultiTrigger '" <<  this->getName() << "' (&" << this << "): Fired event. originator: " << originator->getIdentifier()->getName() << " (&" << originator << "), status: " << status << "." << endl;
         delete container;
     }
Index: code/branches/output/src/modules/objects/triggers/TriggerBase.cc
===================================================================
--- code/branches/output/src/modules/objects/triggers/TriggerBase.cc	(revision 8788)
+++ code/branches/output/src/modules/objects/triggers/TriggerBase.cc	(revision 8811)
@@ -128,5 +128,5 @@
             this->setMode(TriggerMode::EventTriggerXOR);
         else
-            COUT(2) << "Invalid mode '" << modeName << "' in TriggerBase " << this->getName() << " &(" << this << "). Leaving mode at '" << this->getModeString() << "'." << std::endl;
+            orxout(internal_warning, context::triggers) << "Invalid mode '" << modeName << "' in TriggerBase " << this->getName() << " &(" << this << "). Leaving mode at '" << this->getModeString() << "'." << endl;
     }
 
Index: code/branches/output/src/modules/overlays/GUIOverlay.cc
===================================================================
--- code/branches/output/src/modules/overlays/GUIOverlay.cc	(revision 8788)
+++ code/branches/output/src/modules/overlays/GUIOverlay.cc	(revision 8811)
@@ -76,10 +76,10 @@
             GUIManager::getInstance().showGUIExtra(this->guiName_, str);
 
-            COUT(4) << "Showing GUI " << this->guiName_ << std::endl;
+            orxout(internal_info) << "Showing GUI " << this->guiName_ << endl;
         }
         else
         {
             GUIManager::hideGUI(this->guiName_);
-            COUT(4) << "Hiding GUI " << this->guiName_ << std::endl;
+            orxout(internal_info) << "Hiding GUI " << this->guiName_ << endl;
         }
     }
Index: code/branches/output/src/modules/overlays/hud/ChatOverlay.cc
===================================================================
--- code/branches/output/src/modules/overlays/hud/ChatOverlay.cc	(revision 8788)
+++ code/branches/output/src/modules/overlays/hud/ChatOverlay.cc	(revision 8811)
@@ -87,5 +87,5 @@
 
         this->messages_.push_back(multi_cast<Ogre::DisplayString>(text));
-        COUT(0) << "Chat: " << text << std::endl;
+        orxout(level::message) << "Chat: " << text << endl;
 
         Timer* timer = new Timer();
Index: code/branches/output/src/modules/overlays/hud/HUDNavigation.cc
===================================================================
--- code/branches/output/src/modules/overlays/hud/HUDNavigation.cc	(revision 8788)
+++ code/branches/output/src/modules/overlays/hud/HUDNavigation.cc	(revision 8811)
@@ -105,5 +105,5 @@
     if ( fontPtr.isNull() )
     {
-        COUT ( 2 ) << "Warning: HUDNavigation: Font '" << font << "' not found" << std::endl;
+        orxout(internal_warning) << "HUDNavigation: Font '" << font << "' not found" << endl;
         return;
     }
@@ -125,5 +125,5 @@
     if ( size <= 0.0f )
     {
-        COUT ( 2 ) << "Warning: HUDNavigation: Negative font size not allowed" << std::endl;
+        orxout(internal_warning) << "HUDNavigation: Negative font size not allowed" << endl;
         return;
     }
Index: code/branches/output/src/modules/overlays/hud/HUDRadar.cc
===================================================================
--- code/branches/output/src/modules/overlays/hud/HUDRadar.cc	(revision 8788)
+++ code/branches/output/src/modules/overlays/hud/HUDRadar.cc	(revision 8811)
@@ -160,5 +160,5 @@
             if( !wePointer )
             {
-                CCOUT(0) << "Cannot display a non-WorldEntitiy on the radar" << std::endl;
+                orxout(internal_error) << "Cannot display a non-WorldEntitiy on the radar" << endl;
                 assert(0);
             }
Index: code/branches/output/src/modules/pickup/Pickup.cc
===================================================================
--- code/branches/output/src/modules/pickup/Pickup.cc	(revision 8788)
+++ code/branches/output/src/modules/pickup/Pickup.cc	(revision 8811)
@@ -169,5 +169,5 @@
         else
         {
-            COUT(1) << "Invalid activationType '" << type << "' in pickup." << std::endl;
+            orxout(internal_error, context::pickups) << "Invalid activationType '" << type << "' in pickup." << endl;
         }
     }
@@ -191,5 +191,5 @@
         else
         {
-            COUT(1) << "Invalid durationType '" << type << "' in pickup." << std::endl;
+            orxout(internal_error, context::pickups) << "Invalid durationType '" << type << "' in pickup." << endl;
         }
     }
Index: code/branches/output/src/modules/pickup/PickupManager.cc
===================================================================
--- code/branches/output/src/modules/pickup/PickupManager.cc	(revision 8788)
+++ code/branches/output/src/modules/pickup/PickupManager.cc	(revision 8811)
@@ -72,5 +72,5 @@
         this->defaultRepresentation_ = new PickupRepresentation();
 
-        COUT(3) << "PickupManager created." << std::endl;
+        orxout(internal_info, context::pickups) << "PickupManager created." << endl;
     }
 
@@ -101,5 +101,5 @@
         this->indexes_.clear();
 
-        COUT(3) << "PickupManager destroyed." << std::endl;
+        orxout(internal_info, context::pickups) << "PickupManager destroyed." << endl;
     }
 
@@ -126,5 +126,5 @@
         this->representations_[identifier] = representation;
 
-        COUT(4) << "PickupRepresentation &" << representation << " registered with the PickupManager." << std::endl;
+        orxout(verbose, context::pickups) << "PickupRepresentation &" << representation << " registered with the PickupManager." << endl;
         return true;
     }
@@ -151,5 +151,5 @@
         this->representations_.erase(it);
 
-        COUT(4) << "PickupRepresentation &" << representation << " unregistered with the PickupManager." << std::endl;
+        orxout(verbose, context::pickups) << "PickupRepresentation &" << representation << " unregistered with the PickupManager." << endl;
         return true;
     }
@@ -208,5 +208,5 @@
         if(it == this->representations_.end()) // If there is no PickupRepresentation associated with the input PickupIdentifier.
         {
-            COUT(4) << "PickupManager::getRepresentation() returned default representation." << std::endl;
+            orxout(verbose, context::pickups) << "PickupManager::getRepresentation() returned default representation." << endl;
             return this->defaultRepresentation_;
         }
@@ -284,5 +284,5 @@
         if(manager.pickupInventoryContainers_.find(pickup) == manager.pickupInventoryContainers_.end())
         {
-            COUT(1) << "Error: Pickupable &(" << pickup << ") was not registered with PickupManager for the PickupInventory, when it changed used." << std::endl;
+            orxout(internal_error, context::pickups) << "Pickupable &(" << pickup << ") was not registered with PickupManager for the PickupInventory, when it changed used." << endl;
             return;
         }
Index: code/branches/output/src/modules/pickup/PickupRepresentation.cc
===================================================================
--- code/branches/output/src/modules/pickup/PickupRepresentation.cc	(revision 8788)
+++ code/branches/output/src/modules/pickup/PickupRepresentation.cc	(revision 8811)
@@ -140,5 +140,5 @@
             this->spawnerRepresentation_->setVisible(false);
 
-        COUT(4) << "PickupRepresentation created: name: '" << this->name_ << "', description: '" << this->description_ << "', spawnerTemplate: '" << this->spawnerTemplate_ << "'." << std::endl;
+        orxout(verbose, context::pickups) << "PickupRepresentation created: name: '" << this->name_ << "', description: '" << this->description_ << "', spawnerTemplate: '" << this->spawnerTemplate_ << "'." << endl;
     }
 
@@ -155,8 +155,8 @@
         if(this->spawnerRepresentation_ == NULL)
         {
-            COUT(4) << "PickupRepresentation: No spawner representation found." << std::endl;
+            orxout(verbose, context::pickups) << "PickupRepresentation: No spawner representation found." << endl;
             if(this->spawnerTemplate_ == "")
             {
-                COUT(4) << "PickupRepresentation: Spawner template is empty." << std::endl;
+                orxout(verbose, context::pickups) << "PickupRepresentation: Spawner template is empty." << endl;
                 // If neither spawnerRepresentation nor spawnerTemplate was specified
                 return this->getDefaultSpawnerRepresentation(spawner);
Index: code/branches/output/src/modules/pickup/PickupSpawner.cc
===================================================================
--- code/branches/output/src/modules/pickup/PickupSpawner.cc	(revision 8788)
+++ code/branches/output/src/modules/pickup/PickupSpawner.cc	(revision 8811)
@@ -90,5 +90,5 @@
         if(this->pickup_ == NULL)
         {
-            COUT(2) << "A PickupSpawner was created without a valid Pickupable. This won't work." << std::endl;
+            orxout(internal_warning, context::pickups) << "A PickupSpawner was created without a valid Pickupable. This won't work." << endl;
             this->setActive(false);
         }
@@ -144,5 +144,5 @@
         if(this->pickup_ == NULL)
         {
-            COUT(2) << "A PickupSpawner was created without a valid Pickupable. This won't work." << std::endl;
+            orxout(internal_warning, context::pickups) << "A PickupSpawner was created without a valid Pickupable. This won't work." << endl;
             this->setActive(false);
         }
@@ -239,5 +239,5 @@
         else
         {
-            COUT(4) << "PickupSpawner (&" << this << ") empty, selfdestruct initialized." << std::endl;
+            orxout(verbose, context::pickups) << "PickupSpawner (&" << this << ") empty, selfdestruct initialized." << endl;
             this->setActive(false);
             this->destroy();
@@ -264,10 +264,10 @@
         if(this->pickup_ != NULL)
         {
-            COUT(1) << "In PickupSpawner (&" << this << "): setPickupable called, with this->pickup_ already set." << std::endl;
+            orxout(internal_error, context::pickups) << "In PickupSpawner (&" << this << "): setPickupable called, with this->pickup_ already set." << endl;
             return;
         }
         if(pickup == NULL)
         {
-            COUT(1) << "In PickupSpawner (&" << this << "): Argument of setPickupable is NULL." << std::endl;
+            orxout(internal_error, context::pickups) << "In PickupSpawner (&" << this << "): Argument of setPickupable is NULL." << endl;
             return;
         }
@@ -298,5 +298,5 @@
         if(this->isActive()) // Checks whether PickupSpawner is active.
         {
-            COUT(4) << "PickupSpawner (&" << this << ") triggered and active." << std::endl;
+            orxout(verbose, context::pickups) << "PickupSpawner (&" << this << ") triggered and active." << endl;
 
             PickupCarrier* carrier = dynamic_cast<PickupCarrier*>(pawn);
@@ -306,5 +306,5 @@
             if(!carrier->isTarget(this->pickup_))
             {
-                COUT(4) << "PickupSpawner (&" << this << ") triggered but Pawn wasn't a target of the Pickupable." << std::endl;
+                orxout(verbose, context::pickups) << "PickupSpawner (&" << this << ") triggered but Pawn wasn't a target of the Pickupable." << endl;
                 return;
             }
@@ -335,5 +335,5 @@
         if(this->spawnsRemaining_ == 0)
         {
-            COUT(1) << "Massive Error: PickupSpawner still alive until having spawned last item." << std::endl;
+            orxout(internal_error, context::pickups) << "Massive Error: PickupSpawner still alive until having spawned last item." << endl;
             return NULL;
         }
@@ -349,5 +349,5 @@
     void PickupSpawner::respawnTimerCallback()
     {
-        COUT(4) << "PickupSpawner (&" << this << ") reactivated." << std::endl;
+        orxout(verbose, context::pickups) << "PickupSpawner (&" << this << ") reactivated." << endl;
 
         this->setActive(true);
Index: code/branches/output/src/modules/pickup/items/DronePickup.cc
===================================================================
--- code/branches/output/src/modules/pickup/items/DronePickup.cc	(revision 8788)
+++ code/branches/output/src/modules/pickup/items/DronePickup.cc	(revision 8811)
@@ -179,5 +179,5 @@
         if(pawn == NULL)
         {
-            COUT(1) << "Invalid PickupCarrier in DronePickup." << std::endl;
+            orxout(internal_error, context::pickups) << "Invalid PickupCarrier in DronePickup." << endl;
         }
 
Index: code/branches/output/src/modules/pickup/items/HealthPickup.cc
===================================================================
--- code/branches/output/src/modules/pickup/items/HealthPickup.cc	(revision 8788)
+++ code/branches/output/src/modules/pickup/items/HealthPickup.cc	(revision 8811)
@@ -169,5 +169,5 @@
                     break;
                 default:
-                    COUT(1) << "Invalid healthType in HealthPickup." << std::endl;
+                    orxout(internal_error, context::pickups) << "Invalid healthType in HealthPickup." << endl;
             }
 
@@ -218,5 +218,5 @@
                         break;
                     default:
-                        COUT(1) << "Invalid healthType in HealthPickup." << std::endl;
+                        orxout(internal_error, context::pickups) << "Invalid healthType in HealthPickup." << endl;
                 }
 
@@ -234,5 +234,5 @@
                 if(pawn == NULL)
                 {
-                    COUT(1) << "Something went horribly wrong in Health Pickup. PickupCarrier is no Pawn." << std::endl;
+                    orxout(internal_error, context::pickups) << "Something went horribly wrong in Health Pickup. PickupCarrier is no Pawn." << endl;
                     this->Pickupable::destroy();
                     return;
@@ -268,5 +268,5 @@
         if(pawn == NULL)
         {
-            COUT(1) << "Invalid PickupCarrier in HealthPickup." << std::endl;
+            orxout(internal_error, context::pickups) << "Invalid PickupCarrier in HealthPickup." << endl;
         }
 
@@ -312,5 +312,5 @@
                 return HealthPickup::healthTypePermanent_s;
             default:
-                COUT(1) << "Invalid healthType in HealthPickup." << std::endl;
+                orxout(internal_error, context::pickups) << "Invalid healthType in HealthPickup." << endl;
                 return BLANKSTRING;
         }
@@ -331,5 +331,5 @@
         else
         {
-            COUT(1) << "Invalid health in HealthPickup." << std::endl;
+            orxout(internal_error, context::pickups) << "Invalid health in HealthPickup." << endl;
             this->health_ = 0.0;
         }
@@ -350,5 +350,5 @@
         else
         {
-            COUT(1) << "Invalid healthSpeed in HealthPickup." << std::endl;
+            orxout(internal_error, context::pickups) << "Invalid healthSpeed in HealthPickup." << endl;
         }
     }
@@ -376,5 +376,5 @@
         else
         {
-            COUT(1) << "Invalid healthType in HealthPickup." << std::endl;
+            orxout(internal_error, context::pickups) << "Invalid healthType in HealthPickup." << endl;
         }
     }
Index: code/branches/output/src/modules/pickup/items/InvisiblePickup.cc
===================================================================
--- code/branches/output/src/modules/pickup/items/InvisiblePickup.cc	(revision 8788)
+++ code/branches/output/src/modules/pickup/items/InvisiblePickup.cc	(revision 8811)
@@ -206,5 +206,5 @@
         if(pawn == NULL)
         {
-            COUT(1) << "Invalid PickupCarrier in InvisiblePickup." << std::endl;
+            orxout(internal_error, context::pickups) << "Invalid PickupCarrier in InvisiblePickup." << endl;
         }
         return pawn;
@@ -225,5 +225,5 @@
         else
         {
-            COUT(1) << "Invalid duration in InvisiblePickup." << std::endl;
+            orxout(internal_error, context::pickups) << "Invalid duration in InvisiblePickup." << endl;
             this->duration_ = 0.0f;
         }
Index: code/branches/output/src/modules/pickup/items/MetaPickup.cc
===================================================================
--- code/branches/output/src/modules/pickup/items/MetaPickup.cc	(revision 8788)
+++ code/branches/output/src/modules/pickup/items/MetaPickup.cc	(revision 8811)
@@ -232,5 +232,5 @@
         }
         else
-            COUT(2) << "Invalid metaType '" << type << "' in MetaPickup." << std::endl;
+            orxout(internal_warning, context::pickups) << "Invalid metaType '" << type << "' in MetaPickup." << endl;
     }
 
Index: code/branches/output/src/modules/pickup/items/ShieldPickup.cc
===================================================================
--- code/branches/output/src/modules/pickup/items/ShieldPickup.cc	(revision 8788)
+++ code/branches/output/src/modules/pickup/items/ShieldPickup.cc	(revision 8811)
@@ -181,5 +181,5 @@
         if(pawn == NULL)
         {
-            COUT(1) << "Invalid PickupCarrier in ShieldPickup." << std::endl;
+            orxout(internal_error, context::pickups) << "Invalid PickupCarrier in ShieldPickup." << endl;
         }
         return pawn;
@@ -220,5 +220,5 @@
         else
         {
-            COUT(1) << "Invalid duration in ShieldPickup." << std::endl;
+            orxout(internal_error, context::pickups) << "Invalid duration in ShieldPickup." << endl;
             this->duration_ = 0.0f;
         }
@@ -239,5 +239,5 @@
         else
         {
-            COUT(1) << "Invalid Shieldhealth in ShieldPickup." << std::endl;
+            orxout(internal_error, context::pickups) << "Invalid Shieldhealth in ShieldPickup." << endl;
             this->shieldHealth_=0;
         }
@@ -258,5 +258,5 @@
         else
         {
-            COUT(1) << "Invalid Absorption in ShieldPickup." << std::endl;
+            orxout(internal_error, context::pickups) << "Invalid Absorption in ShieldPickup." << endl;
             this->shieldAbsorption_=0;
         }
Index: code/branches/output/src/modules/pickup/items/ShrinkPickup.h
===================================================================
--- code/branches/output/src/modules/pickup/items/ShrinkPickup.h	(revision 8788)
+++ code/branches/output/src/modules/pickup/items/ShrinkPickup.h	(revision 8811)
@@ -93,5 +93,5 @@
             */
             inline void setShrinkFactor(float factor)
-                { if(factor <= 1.0f) { COUT(2) << "Invalid shrinking factor in ShrinkPickup. Ignoring.." << endl; return; } this->shrinkFactor_ = factor; }
+                { if(factor <= 1.0f) { orxout(internal_warning, context::pickups) << "Invalid shrinking factor in ShrinkPickup. Ignoring.." << endl; return; } this->shrinkFactor_ = factor; }
             /**
             @brief Get the duration for which the ship remains shrunken.
@@ -105,5 +105,5 @@
             */
             inline void setDuration(float duration)
-                { if(duration < 0.0f) { COUT(2) << "Invalid duration in ShrinkPickup. Ignoring.." << endl; return; } this->duration_ = duration; }
+                { if(duration < 0.0f) { orxout(internal_warning, context::pickups) << "Invalid duration in ShrinkPickup. Ignoring.." << endl; return; } this->duration_ = duration; }
             /**
             @brief Get the shrink speed.
@@ -117,5 +117,5 @@
             */
             inline void setShrinkDuration(float speed)
-                { if(speed <= 0.0f) { COUT(2) << "Invalid shrink duration in ShrinkPickup. Ignoring.." << endl; return; } this->shrinkDuration_ = speed; }
+                { if(speed <= 0.0f) { orxout(internal_warning, context::pickups) << "Invalid shrink duration in ShrinkPickup. Ignoring.." << endl; return; } this->shrinkDuration_ = speed; }
 
         protected:
Index: code/branches/output/src/modules/pickup/items/SpeedPickup.cc
===================================================================
--- code/branches/output/src/modules/pickup/items/SpeedPickup.cc	(revision 8788)
+++ code/branches/output/src/modules/pickup/items/SpeedPickup.cc	(revision 8811)
@@ -180,5 +180,5 @@
         if(ship == NULL)
         {
-            COUT(1) << "Invalid PickupCarrier in SpeedPickup." << std::endl;
+            orxout(internal_error, context::pickups) << "Invalid PickupCarrier in SpeedPickup." << endl;
         }
 
@@ -221,5 +221,5 @@
         else
         {
-            COUT(1) << "Invalid duration in SpeedPickup." << std::endl;
+            orxout(internal_error, context::pickups) << "Invalid duration in SpeedPickup." << endl;
             this->duration_ = 0.0f;
         }
@@ -240,5 +240,5 @@
         else
         {
-            COUT(1) << "Invalid speedAdd in SpeedPickup." << std::endl;
+            orxout(internal_error, context::pickups) << "Invalid speedAdd in SpeedPickup." << endl;
             this->speedAdd_ = 0.0f;
         }
@@ -259,5 +259,5 @@
         else
         {
-            COUT(1) << "Invalid speedMultiply in SpeedPickup." << std::endl;
+            orxout(internal_error, context::pickups) << "Invalid speedMultiply in SpeedPickup." << endl;
             this->speedMultiply_ = 1.0f;
         }
Index: code/branches/output/src/modules/pong/Pong.cc
===================================================================
--- code/branches/output/src/modules/pong/Pong.cc	(revision 8788)
+++ code/branches/output/src/modules/pong/Pong.cc	(revision 8811)
@@ -162,5 +162,5 @@
         else // If no centerpoint was specified, an error is thrown and the level is exited.
         {
-            COUT(1) << "Error: No Centerpoint specified." << std::endl;
+            orxout(internal_error) << "Pong: No Centerpoint specified." << endl;
             GSLevel::startMainMenu();
             return;
Index: code/branches/output/src/modules/questsystem/GlobalQuest.cc
===================================================================
--- code/branches/output/src/modules/questsystem/GlobalQuest.cc	(revision 8788)
+++ code/branches/output/src/modules/questsystem/GlobalQuest.cc	(revision 8811)
@@ -71,5 +71,5 @@
         XMLPortObject(GlobalQuest, QuestEffect, "reward-effects", addRewardEffect, getRewardEffects, xmlelement, mode);
 
-        COUT(4) << "New GlobalQuest {" << this->getId() << "} created." << std::endl;
+        orxout(verbose, context::quests) << "New GlobalQuest {" << this->getId() << "} created." << endl;
     }
 
@@ -87,5 +87,5 @@
         if(!this->isFailable(player)) // Check whether the Quest can be failed.
         {
-            COUT(4) << "A non-completable quest was trying to be failed." << std::endl;
+            orxout(verbose, context::quests) << "A non-completable quest was trying to be failed." << endl;
             return false;
         }
@@ -114,5 +114,5 @@
         if(!this->isCompletable(player)) // Check whether the Quest can be completed.
         {
-            COUT(4) << "A non-completable quest was trying to be completed." << std::endl;
+            orxout(verbose, context::quests) << "A non-completable quest was trying to be completed." << endl;
             return false;
         }
@@ -227,5 +227,5 @@
         this->rewards_.push_back(effect); // Add the QuestEffect to the list.
 
-        COUT(4) << "Reward effect was added to Quest {" << this->getId() << "}." << std::endl;
+        orxout(verbose, context::quests) << "Reward effect was added to Quest {" << this->getId() << "}." << endl;
         return true;
     }
Index: code/branches/output/src/modules/questsystem/LocalQuest.cc
===================================================================
--- code/branches/output/src/modules/questsystem/LocalQuest.cc	(revision 8788)
+++ code/branches/output/src/modules/questsystem/LocalQuest.cc	(revision 8811)
@@ -69,5 +69,5 @@
         SUPER(LocalQuest, XMLPort, xmlelement, mode);
 
-        COUT(4) << "New LocalQuest {" << this->getId() << "} created." << std::endl;
+        orxout(verbose, context::quests) << "New LocalQuest {" << this->getId() << "} created." << endl;
     }
 
@@ -85,5 +85,5 @@
         if(!this->isFailable(player)) // Checks whether the quest can be failed.
         {
-            COUT(4) << "A non-failable quest was trying to be failed." << std::endl;
+            orxout(verbose, context::quests) << "A non-failable quest was trying to be failed." << endl;
             return false;
         }
@@ -108,5 +108,5 @@
         if(!this->isCompletable(player)) // Checks whether the Quest can be completed.
         {
-            COUT(4) << "A non-completable quest was trying to be completed." << std::endl;
+            orxout(verbose, context::quests) << "A non-completable quest was trying to be completed." << endl;
             return false;
         }
Index: code/branches/output/src/modules/questsystem/Quest.cc
===================================================================
--- code/branches/output/src/modules/questsystem/Quest.cc	(revision 8788)
+++ code/branches/output/src/modules/questsystem/Quest.cc	(revision 8811)
@@ -96,5 +96,5 @@
         this->parentQuest_ = quest;
 
-        COUT(4) << "Parent Quest {" << quest->getId() << "} was added to Quest {" << this->getId() << "}." << std::endl;
+        orxout(verbose, context::quests) << "Parent Quest {" << quest->getId() << "} was added to Quest {" << this->getId() << "}." << endl;
         return true;
     }
@@ -115,5 +115,5 @@
         this->subQuests_.push_back(quest); // Adds the Quest to the end of the list of sub-quests.
 
-        COUT(4) << "Sub Quest {" << quest->getId() << "} was added to Quest {" << this->getId() << "}." << std::endl;
+        orxout(verbose, context::quests) << "Sub Quest {" << quest->getId() << "} was added to Quest {" << this->getId() << "}." << endl;
         return true;
     }
@@ -135,5 +135,5 @@
         this->hints_.push_back(hint); // Adds the QuestHint to the end of the list of QuestHints.
 
-        COUT(4) << "QuestHint {" << hint->getId() << "} was added to Quest {" << this->getId() << "}." << std::endl;
+        orxout(verbose, context::quests) << "QuestHint {" << hint->getId() << "} was added to Quest {" << this->getId() << "}." << endl;
         return true;
     }
@@ -153,5 +153,5 @@
         this->failEffects_.push_back(effect); // Adds the QuestEffect to the end of the list of fail QuestEffects.
 
-        COUT(4) << "A FailEffect was added to Quest {" << this->getId() << "}." << std::endl;
+        orxout(verbose, context::quests) << "A FailEffect was added to Quest {" << this->getId() << "}." << endl;
         return true;
     }
@@ -171,5 +171,5 @@
         this->completeEffects_.push_back(effect); // Adds the QuestEffect to the end of the list of complete QuestEffects.
 
-        COUT(4) << "A CompleteEffect was added to Quest {" << this->getId() << "}." << std::endl;
+        orxout(verbose, context::quests) << "A CompleteEffect was added to Quest {" << this->getId() << "}." << endl;
         return true;
     }
@@ -341,5 +341,5 @@
         this->setStatus(player, QuestStatus::Failed);
 
-        COUT(4) << "Quest {" << this->getId() << "} is failed for player: " << player << " ." <<std::endl;
+        orxout(verbose, context::quests) << "Quest {" << this->getId() << "} is failed for player: " << player << " ." << endl;
 
         this->getDescription()->sendFailQuestNotification(player);
@@ -360,5 +360,5 @@
         this->setStatus(player, QuestStatus::Completed);
 
-        COUT(4) << "Quest {" << this->getId() << "} is completed for player: " << player << " ." <<std::endl;
+        orxout(verbose, context::quests) << "Quest {" << this->getId() << "} is completed for player: " << player << " ." << endl;
 
         this->getDescription()->sendCompleteQuestNotification(player);
@@ -378,9 +378,9 @@
         if(!this->isStartable(player)) // Checks whether the quest can be started.
         {
-            COUT(4) << "A non-startable quest was trying to be started." << std::endl;
+            orxout(verbose, context::quests) << "A non-startable quest was trying to be started." << endl;
             return false;
         }
 
-        COUT(4) << "Quest {" << this->getId() << "} is started for player: " << player << " ." <<std::endl;
+        orxout(verbose, context::quests) << "Quest {" << this->getId() << "} is started for player: " << player << " ." << endl;
 
         QuestListener::advertiseStatusChange(this->listeners_, "start"); // Tells the QuestListeners, that the status has changed to active.
Index: code/branches/output/src/modules/questsystem/QuestDescription.cc
===================================================================
--- code/branches/output/src/modules/questsystem/QuestDescription.cc	(revision 8788)
+++ code/branches/output/src/modules/questsystem/QuestDescription.cc	(revision 8811)
@@ -79,5 +79,5 @@
         XMLPortParam(QuestDescription, "completeMessage", setCompleteMessage, getCompleteMessage, xmlelement, mode);
 
-        COUT(4) << "New QuestDescription with title '" << this->getTitle() << "' created." << std::endl;
+        orxout(verbose, context::quests) << "New QuestDescription with title '" << this->getTitle() << "' created." << endl;
     }
 
@@ -109,5 +109,5 @@
             else
             {
-                COUT(2) << "Bad input in notificationHelper, this should not be happening!" << std::endl;
+                orxout(internal_warning, context::quests) << "Bad input in notificationHelper, this should not be happening!" << endl;
                 return false;
             }
@@ -115,5 +115,5 @@
         else
         {
-            COUT(2) << "Bad input in notificationHelper, this should not be happening!" << std::endl;
+            orxout(internal_warning, context::quests) << "Bad input in notificationHelper, this should not be happening!" << endl;
             return false;
         }
Index: code/branches/output/src/modules/questsystem/QuestEffect.cc
===================================================================
--- code/branches/output/src/modules/questsystem/QuestEffect.cc	(revision 8788)
+++ code/branches/output/src/modules/questsystem/QuestEffect.cc	(revision 8811)
@@ -70,5 +70,5 @@
         bool temp = true;
 
-        COUT(4) << "Invoking QuestEffects on player: " << player << " ."  << std::endl;
+        orxout(verbose, context::quests) << "Invoking QuestEffects on player: " << player << " ."  << endl;
 
         for (std::list<QuestEffect*>::iterator effect = effects.begin(); effect != effects.end(); effect++)
Index: code/branches/output/src/modules/questsystem/QuestEffectBeacon.cc
===================================================================
--- code/branches/output/src/modules/questsystem/QuestEffectBeacon.cc	(revision 8788)
+++ code/branches/output/src/modules/questsystem/QuestEffectBeacon.cc	(revision 8811)
@@ -79,5 +79,5 @@
         XMLPortEventSink(QuestEffectBeacon, BaseObject, "execute", execute, xmlelement, mode); //TODO: Change BaseObject to MultiTrigger as soon as MultiTrigger is the base of all triggers.
 
-        COUT(4) << "New QuestEffectBeacon created." << std::endl;
+        orxout(verbose, context::quests) << "New QuestEffectBeacon created." << endl;
     }
 
@@ -108,5 +108,5 @@
         if(!(this->isActive())) // If the QuestEffectBeacon is inactive it cannot be executed.
         {
-            COUT(4) << "The QuestEffectBeacon is inactive." << std::endl;
+            orxout(verbose, context::quests) << "The QuestEffectBeacon is inactive." << endl;
             return false;
         }
@@ -128,9 +128,9 @@
         if(player == NULL)
         {
-            COUT(4) << "The QuestEffectBeacon was triggered by an entity other than a Pawn. (" << trigger->getIdentifier()->getName() << ")" << std::endl;
-            return false;
-        }
-
-        COUT(4) << "QuestEffectBeacon executed on player: " << player << " ." << std::endl;
+            orxout(verbose, context::quests) << "The QuestEffectBeacon was triggered by an entity other than a Pawn. (" << trigger->getIdentifier()->getName() << ")" << endl;
+            return false;
+        }
+
+        orxout(verbose, context::quests) << "QuestEffectBeacon executed on player: " << player << " ." << endl;
 
         bool temp = QuestEffect::invokeEffects(player, this->effects_); // Invoke the QuestEffects on the PlayerInfo.
@@ -221,5 +221,5 @@
         this->effects_.push_back(effect);
 
-        COUT(4) << "A QuestEffect was added to a QuestEffectBeacon." << std::endl;
+        orxout(verbose, context::quests) << "A QuestEffect was added to a QuestEffectBeacon." << endl;
         return true;
     }
Index: code/branches/output/src/modules/questsystem/QuestHint.cc
===================================================================
--- code/branches/output/src/modules/questsystem/QuestHint.cc	(revision 8788)
+++ code/branches/output/src/modules/questsystem/QuestHint.cc	(revision 8811)
@@ -74,5 +74,5 @@
         QuestManager::getInstance().registerHint(this); // Registers the QuestHint with the QuestManager.
 
-        COUT(4) << "New QuestHint {" << this->getId() << "} created." << std::endl;
+        orxout(verbose, context::quests) << "New QuestHint {" << this->getId() << "} created." << endl;
     }
 
@@ -120,10 +120,10 @@
             else
             {
-                COUT(4) << "An already active questHint was trying to get activated." << std::endl;
+                orxout(verbose, context::quests) << "An already active questHint was trying to get activated." << endl;
                 return false;
             }
         }
 
-        COUT(4) << "A hint of a non-active quest was trying to get activated." << std::endl;
+        orxout(verbose, context::quests) << "A hint of a non-active quest was trying to get activated." << endl;
         return false;
     }
Index: code/branches/output/src/modules/questsystem/QuestItem.cc
===================================================================
--- code/branches/output/src/modules/questsystem/QuestItem.cc	(revision 8788)
+++ code/branches/output/src/modules/questsystem/QuestItem.cc	(revision 8811)
@@ -89,5 +89,5 @@
         if(id == "") // Checks whether the id is a valid id.
         {
-            COUT(2) << "Invalid id. QuestItem id {" << id << "} could not be set." << std::endl;
+            orxout(internal_warning, context::quests) << "Invalid id. QuestItem id {" << id << "} could not be set." << endl;
             return;
         }
Index: code/branches/output/src/modules/questsystem/QuestListener.cc
===================================================================
--- code/branches/output/src/modules/questsystem/QuestListener.cc	(revision 8788)
+++ code/branches/output/src/modules/questsystem/QuestListener.cc	(revision 8811)
@@ -84,5 +84,5 @@
             this->quest_->addListener(this); // Adds the QuestListener to the Quests list of listeners.
 
-        COUT(4) << "QuestListener created for quest: {" << this->quest_->getId() << "} with mode '" << this->getMode() << "'." << std::endl;
+        orxout(verbose, context::quests) << "QuestListener created for quest: {" << this->quest_->getId() << "} with mode '" << this->getMode() << "'." << endl;
     }
 
@@ -146,5 +146,5 @@
         else
         {
-            COUT(2) << "QuestListener with invalid mode '" << mode << "' created. Mode set to 'all'." << std::endl;
+            orxout(internal_warning, context::quests) << "QuestListener with invalid mode '" << mode << "' created. Mode set to 'all'." << endl;
             this->mode_ = QuestListenerMode::All;
             return false;
Index: code/branches/output/src/modules/questsystem/QuestManager.cc
===================================================================
--- code/branches/output/src/modules/questsystem/QuestManager.cc	(revision 8788)
+++ code/branches/output/src/modules/questsystem/QuestManager.cc	(revision 8811)
@@ -61,5 +61,5 @@
         RegisterRootObject(QuestManager);
 
-        COUT(3) << "QuestManager created." << std::endl;
+        orxout(internal_info, context::quests) << "QuestManager created." << endl;
     }
 
@@ -70,5 +70,5 @@
     QuestManager::~QuestManager()
     {
-        COUT(3) << "QuestManager destroyed." << std::endl;
+        orxout(internal_info, context::quests) << "QuestManager destroyed." << endl;
     }
 
@@ -103,10 +103,10 @@
         {
             quest->setRegistered();
-            COUT(4) << "Quest with questId {" << quest->getId() << "} successfully inserted." << std::endl;
+            orxout(verbose, context::quests) << "Quest with questId {" << quest->getId() << "} successfully inserted." << endl;
             return true;
         }
         else
         {
-           COUT(2) << "Quest with the same id was already present." << std::endl;
+           orxout(internal_warning, context::quests) << "Quest with the same id was already present." << endl;
            return false;
         }
@@ -141,10 +141,10 @@
         {
             hint->setRegistered();
-            COUT(4) << "QuestHint with hintId {" << hint->getId() << "} successfully inserted." << std::endl;
+            orxout(verbose, context::quests) << "QuestHint with hintId {" << hint->getId() << "} successfully inserted." << endl;
             return true;
         }
         else
         {
-           COUT(2) << "QuestHint with the same id was already present." << std::endl;
+           orxout(internal_warning, context::quests) << "QuestHint with the same id was already present." << endl;
            return false;
         }
@@ -183,5 +183,5 @@
         {
            quest = NULL;
-           COUT(2) << "The quest with id {" << questId << "} is nowhere to be found." << std::endl;
+           orxout(internal_warning, context::quests) << "The quest with id {" << questId << "} is nowhere to be found." << endl;
         }
 
@@ -212,5 +212,5 @@
         {
            hint = NULL;
-           COUT(2) << "The hint with id {" << hintId << "} is nowhere to be found." << std::endl;
+           orxout(internal_warning, context::quests) << "The hint with id {" << hintId << "} is nowhere to be found." << endl;
         }
 
@@ -431,5 +431,5 @@
         if(player == NULL)
         {
-            COUT(1) << "Error: GUIOverlay with name '" << guiName << "' has no player." << std::endl;
+            orxout(internal_error, context::quests) << "GUIOverlay with name '" << guiName << "' has no player." << endl;
             return NULL;
         }
Index: code/branches/output/src/modules/questsystem/effects/AddQuest.cc
===================================================================
--- code/branches/output/src/modules/questsystem/effects/AddQuest.cc	(revision 8788)
+++ code/branches/output/src/modules/questsystem/effects/AddQuest.cc	(revision 8811)
@@ -70,5 +70,5 @@
         SUPER(AddQuest, XMLPort, xmlelement, mode);
 
-        COUT(4) << "New AddQuest, with target Quest {" << this->getQuestId() << "}, created." << std::endl;
+        orxout(verbose, context::quests) << "New AddQuest, with target Quest {" << this->getQuestId() << "}, created." << endl;
     }
 
@@ -85,5 +85,5 @@
         assert(player);
 
-        COUT(5) << "AddQuest on player: " << player << " ." << std::endl;
+        orxout(verbose_more, context::quests) << "AddQuest on player: " << player << " ." << endl;
 
         try
@@ -95,9 +95,9 @@
         catch(const orxonox::Exception& ex)
         {
-            COUT(2) << ex.getFullDescription() << std::endl;
+            orxout(internal_warning, context::quests) << ex.getFullDescription() << endl;
             return false;
         }
 
-        COUT(4) << "Quest {" << this->getQuestId() << "} successfully added to player: " << player << " ." << std::endl;
+        orxout(verbose, context::quests) << "Quest {" << this->getQuestId() << "} successfully added to player: " << player << " ." << endl;
         return true;
     }
Index: code/branches/output/src/modules/questsystem/effects/AddQuestHint.cc
===================================================================
--- code/branches/output/src/modules/questsystem/effects/AddQuestHint.cc	(revision 8788)
+++ code/branches/output/src/modules/questsystem/effects/AddQuestHint.cc	(revision 8811)
@@ -73,5 +73,5 @@
         XMLPortParam(AddQuestHint, "hintId", setHintId, getHintId, xmlelement, mode);
 
-        COUT(4) << "New AddQuestHint, with target QuestHint {" << this->getHintId() << "}, created." << std::endl;
+        orxout(verbose, context::quests) << "New AddQuestHint, with target QuestHint {" << this->getHintId() << "}, created." << endl;
     }
 
@@ -88,5 +88,5 @@
         if(id == "")
         {
-            COUT(2) << "Invalid id. QuestItem id {" << id << "} could not be set." << std::endl;
+            orxout(internal_warning, context::quests) << "Invalid id. QuestItem id {" << id << "} could not be set." << endl;
             return false;
         }
@@ -108,5 +108,5 @@
         assert(player);
 
-        COUT(5) << "AddQuestHint on player: " << player << " ." << std::endl;
+        orxout(verbose_more, context::quests) << "AddQuestHint on player: " << player << " ." << endl;
 
         try
@@ -118,9 +118,9 @@
         catch(const Exception& e)
         {
-           COUT(2) << e.getFullDescription() << std::endl;
+           orxout(internal_warning, context::quests) << e.getFullDescription() << endl;
            return false;
         }
 
-        COUT(4) << "QuestHint {" << this->getHintId() << "} successfully added to player: " << player << " ." << std::endl;
+        orxout(verbose, context::quests) << "QuestHint {" << this->getHintId() << "} successfully added to player: " << player << " ." << endl;
         return true;
 
Index: code/branches/output/src/modules/questsystem/effects/AddReward.cc
===================================================================
--- code/branches/output/src/modules/questsystem/effects/AddReward.cc	(revision 8788)
+++ code/branches/output/src/modules/questsystem/effects/AddReward.cc	(revision 8811)
@@ -70,5 +70,5 @@
         XMLPortObject(AddReward, Rewardable, "", addRewardable, getRewardables, xmlelement, mode);
 
-        COUT(4) << "New AddReward, with " << this->rewards_.size() << " Rewardables created." << std::endl;
+        orxout(verbose, context::quests) << "New AddReward, with " << this->rewards_.size() << " Rewardables created." << endl;
     }
 
@@ -103,5 +103,5 @@
     bool AddReward::invoke(PlayerInfo* player)
     {
-        COUT(5) << "AddReward on player: " << player << " ." << std::endl;
+        orxout(verbose_more, context::quests) << "AddReward on player: " << player << " ." << endl;
 
         bool temp = true;
@@ -109,5 +109,5 @@
             temp = temp && (*reward)->reward(player);
 
-        COUT(4) << "Rewardable successfully added to player." << player << " ." << std::endl;
+        orxout(verbose, context::quests) << "Rewardable successfully added to player." << player << " ." << endl;
 
         return temp;
Index: code/branches/output/src/modules/questsystem/effects/ChangeQuestStatus.cc
===================================================================
--- code/branches/output/src/modules/questsystem/effects/ChangeQuestStatus.cc	(revision 8788)
+++ code/branches/output/src/modules/questsystem/effects/ChangeQuestStatus.cc	(revision 8811)
@@ -83,5 +83,5 @@
         if(id == "")
         {
-            COUT(2) << "Invalid id. QuestItem id {" << id << "} could not be set." << std::endl;
+            orxout(internal_warning, context::quests) << "Invalid id. QuestItem id {" << id << "} could not be set." << endl;
             return false;
         }
Index: code/branches/output/src/modules/questsystem/effects/CompleteQuest.cc
===================================================================
--- code/branches/output/src/modules/questsystem/effects/CompleteQuest.cc	(revision 8788)
+++ code/branches/output/src/modules/questsystem/effects/CompleteQuest.cc	(revision 8811)
@@ -70,5 +70,5 @@
         SUPER(CompleteQuest, XMLPort, xmlelement, mode);
 
-        COUT(4) << "New CompleteQuest, with target Quest {" << this->getQuestId() << "}, created." << std::endl;
+        orxout(verbose, context::quests) << "New CompleteQuest, with target Quest {" << this->getQuestId() << "}, created." << endl;
     }
 
@@ -85,5 +85,5 @@
         assert(player);
 
-        COUT(5) << "CompleteQuest on player: " << player << " ." << std::endl;
+        orxout(verbose_more, context::quests) << "CompleteQuest on player: " << player << " ." << endl;
 
         Quest* quest;
@@ -97,9 +97,9 @@
         catch(const Exception& e)
         {
-            COUT(2) << e.getFullDescription() << std::endl;
+            orxout(internal_warning, context::quests) << e.getFullDescription() << endl;
             return false;
         }
 
-        COUT(4) << "Quest {" << quest->getId() << "} successfully completed by player: " << player << " ." << std::endl;
+        orxout(verbose, context::quests) << "Quest {" << quest->getId() << "} successfully completed by player: " << player << " ." << endl;
         return true;
     }
Index: code/branches/output/src/modules/questsystem/effects/FailQuest.cc
===================================================================
--- code/branches/output/src/modules/questsystem/effects/FailQuest.cc	(revision 8788)
+++ code/branches/output/src/modules/questsystem/effects/FailQuest.cc	(revision 8811)
@@ -70,5 +70,5 @@
         SUPER(FailQuest, XMLPort, xmlelement, mode);
 
-        COUT(4) << "New FailQuest, with target Quest {" << this->getQuestId() << "}, created." << std::endl;
+        orxout(verbose, context::quests) << "New FailQuest, with target Quest {" << this->getQuestId() << "}, created." << endl;
     }
 
@@ -85,5 +85,5 @@
         assert(player);
 
-        COUT(4) << "FailQuest on player: " << player << " ." << std::endl;
+        orxout(verbose, context::quests) << "FailQuest on player: " << player << " ." << endl;
 
         Quest* quest;
@@ -96,9 +96,9 @@
         catch(const Exception& e)
         {
-            COUT(2) << e.getFullDescription() << std::endl;
+            orxout(internal_warning, context::quests) << e.getFullDescription() << endl;
             return false;
         }
 
-        COUT(4) << "Quest {" << quest->getId() << "} failed by player: " << player << " ." << std::endl;
+        orxout(verbose, context::quests) << "Quest {" << quest->getId() << "} failed by player: " << player << " ." << endl;
         return true;
     }
Index: code/branches/output/src/modules/tetris/Tetris.cc
===================================================================
--- code/branches/output/src/modules/tetris/Tetris.cc	(revision 8788)
+++ code/branches/output/src/modules/tetris/Tetris.cc	(revision 8811)
@@ -165,5 +165,5 @@
         else // If no centerpoint was specified, an error is thrown and the level is exited.
         {
-            COUT(1) << "Error: No Centerpoint specified." << std::endl;
+            orxout(internal_error) << "Tetris: No Centerpoint specified." << endl;
             GSLevel::startMainMenu();
             return;
Index: code/branches/output/src/modules/weapons/RocketController.cc
===================================================================
--- code/branches/output/src/modules/weapons/RocketController.cc	(revision 8788)
+++ code/branches/output/src/modules/weapons/RocketController.cc	(revision 8811)
@@ -44,5 +44,5 @@
     {
         RegisterObject(RocketController);
-        COUT(5)<< "RocketController constructed\n";
+//        orxout() << "RocketController constructed" << endl;
 
 
@@ -73,5 +73,5 @@
     RocketController::~RocketController()
     {
-        COUT(5)<< "RocketController destroyed\n";
+//        orxout() << "RocketController destroyed" << endl;
     }
 
Index: code/branches/output/src/modules/weapons/projectiles/SimpleRocket.cc
===================================================================
--- code/branches/output/src/modules/weapons/projectiles/SimpleRocket.cc	(revision 8788)
+++ code/branches/output/src/modules/weapons/projectiles/SimpleRocket.cc	(revision 8811)
@@ -59,5 +59,5 @@
 
         this->setMass(15);
-//        COUT(4) << "simplerocket constructed\n";
+//        orxout() << "simplerocket constructed" << endl;
 
         if (GameMode::isMaster())
